[pkg-opensc-commit] [pam-p11] 06/66: updated generation (and cleanup) of documentation.

Eric Dorland eric at moszumanska.debian.org
Tue Jun 13 04:06:48 UTC 2017


This is an automated email from the git hooks/post-receive script.

eric pushed a commit to branch master
in repository pam-p11.

commit 3d926ba2b11b3519ab35c0c78b9ca9559af58476
Author: Andreas Jellinghaus <andreas at ionisiert.de>
Date:   Thu Sep 1 15:52:14 2005 +0000

    updated generation (and cleanup) of documentation.
---
 doc/Makefile.am    |  5 ++---
 doc/export-wiki.sh | 39 ++++++++++++++++++++++++++-------------
 2 files changed, 28 insertions(+), 16 deletions(-)

diff --git a/doc/Makefile.am b/doc/Makefile.am
index f37a5c2..d6d8189 100644
--- a/doc/Makefile.am
+++ b/doc/Makefile.am
@@ -1,8 +1,7 @@
 # Process this file with automake to create Makefile.in
 
-MAINTAINERCLEANFILES = Makefile.in
+MAINTAINERCLEANFILES = Makefile.in $(HTML)
 
 EXTRA_DIST = README export-wiki.sh export-wiki.xsl $(HTML)
 
-HTML= MailingLists.html OperatingSystems.html QuickStart.html \
-	ResourcesLinks.html index.html trac.css
+HTML= $(shell ls $(srcdir)/*.html $(srcdir)/*.css)
diff --git a/doc/export-wiki.sh b/doc/export-wiki.sh
index 6d3c19d..a3e7389 100755
--- a/doc/export-wiki.sh
+++ b/doc/export-wiki.sh
@@ -6,29 +6,42 @@ export SERVER=http://www.opensc.org
 export WIKI=pam_p11/wiki
 export XSL=export-wiki.xsl
 
-test -f `basename $0`
+SRCDIR=.
 
-rm -rf *.html *.css
+if test -n "$1"
+then
+	SRCDIR="$1"
+fi
 
-wget $SERVER/$WIKI/TitleIndex -O TitleIndex.tmp
+test -f "$SRCDIR"/`basename $0`
 
-grep "\"/$WIKI/[^\"]*\"" TitleIndex.tmp \
+if ! test -w "$SRCDIR"
+then
+	exit 0
+fi
+
+rm -rf "$SRCDIR"/*.html "$SRCDIR"/*.css
+
+wget --non-verbose $SERVER/$WIKI/TitleIndex -O "$SRCDIR"/TitleIndex.tmp
+
+grep "\"/$WIKI/[^\"]*\"" "$SRCDIR"/TitleIndex.tmp \
         |sed -e "s#.*\"/$WIKI/\([^\"]*\)\".*#\1#g" \
-	> WikiWords.tmp
+	> "$SRCDIR"/WikiWords.tmp
 sed -e /^Trac/d -e /^Wiki/d -e /^TitleIndex/d -e /^RecentChanges/d \
-	-e /^CamelCase/d -e /^SandBox/d -i WikiWords.tmp
+	-e /^CamelCase/d -e /^SandBox/d -i "$SRCDIR"/WikiWords.tmp
 
-for A in WikiStart `cat WikiWords.tmp`
+for A in WikiStart `cat "$SRCDIR"/WikiWords.tmp`
 do
 	F=`echo $A|sed -e 's/\//_/g'`
-	wget $SERVER/$WIKI/$A  -O $F.tmp
-	xsltproc --output $F.html $XSL $F.tmp
+	wget --non-verbose $SERVER/$WIKI/$A  -O "$SRCDIR"/$F.tmp
+	xsltproc --output "$SRCDIR"/$F.html "$SRCDIR"/$XSL "$SRCDIR"/$F.tmp
 	sed -e "s#<a href=\"/$WIKI/\([^\"]*\)\"#<a href=\"\1.html\"#g" \
-		-i $F.html
+		-i "$SRCDIR"/$F.html
 done
 
-mv WikiStart.html index.html
+mv "$SRCDIR"/WikiStart.html "$SRCDIR"/index.html
 
-wget http://www.opensc.org/trac/css/trac.css
+wget --non-verbose http://www.opensc.org/trac/css/trac.css \
+	-O "$SRCDIR"/trac.css
 
-rm *.tmp
+rm "$SRCDIR"/*.tmp

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-opensc/pam-p11.git



More information about the pkg-opensc-commit mailing list